import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Passenger } from '../interfaces/passenger.interface';
import { Observable } from 'rxjs';

@Injectable({providedIn: 'root'})
export class PassengerService {
  constructor(private http: HttpClient) { }

  getAll(): Observable<Passenger[]> {
    return this.http.get<Passenger[]>('http://localhost:3000/passengers');
  }

  getById(id: number): Observable<Passenger> {
    return this.http.get<Passenger>(`http://localhost:3000/passengers/${id}`);
  }

}
