import { Component } from '@angular/core';
import { MenuItem } from 'src/app/shared/interfaces/menu-item.interface';

@Component({
  selector: 'passenger-home-page',
  templateUrl: './home-page.component.html',
  styleUrls: ['./home-page.component.css']
})
export class HomePageComponent {

  public toggleSidebar: boolean = false;

  public menuItems: MenuItem[] = [
    {
      label: 'Mis reservas',
      icon: 'bi-bookmarks',
      link: '/passengers/reservations'
    },
  ];

  toggleSidebarEvent(): void {
    this.toggleSidebar = !this.toggleSidebar;
  }

}
