import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '../shared/shared.module';
import { PassengerRoutingModule } from './passenger-rounting.module';
import { HomePageComponent } from './pages/home-page/home-page.component';
import { MyReservationsComponent } from './pages/my-reservations/my-reservations.component';


@NgModule({
  declarations: [
    HomePageComponent,
    MyReservationsComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    PassengerRoutingModule
  ],
  exports: [
    PassengerRoutingModule
  ]
})
export class PassengerModule { }
