import { Component, EventEmitter, Input } from '@angular/core';

@Component({
  selector: 'shared-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.css']
})
export class DialogComponent {

  @Input()
  public title: string = 'Titulo';

  @Input()
  public icon: string = 'bi-house-door';

  public closeDialog: EventEmitter<void> = new EventEmitter<void>();

  public isActivated: boolean = true;

  onCloseDialog(): void {
    this.closeDialog.emit();
  }
}
